package cpcns.tool.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.KeyGenerator;
import cpcns.base.common.User;
import cpcns.base.configuration.AppConfiguration;
import cpcns.common.dao.ICommonDao;
import cpcns.common.service.ICommonService;
import cpcns.common.service.impl.commonServiceImpl;
import cpcns.danganzhengli.shiwu.model.DShiWu;
import cpcns.danganzhengli.wenshu.wenjian.model.DWenJian;
import cpcns.dingZhi.tushuziliao.model.TuShuZiLiao;
import cpcns.dingZhi.yiJiaoDengJi.service.IJieShouDengJiService;
import cpcns.dingZhi.zhuanYeWenJian.model.zhuanYeWenJian;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.tool.dao.IModifyTableDao;
import cpcns.tool.service.IModifyTableService;
import cpcns.utils.CommStatic;
import cpcns.utils.UploadUtil;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.SQLSyntaxErrorException;
import java.sql.Statement;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import org.apache.commons.lang.StringUtils;
import org.apache.ibatis.jdbc.ScriptRunner;
import org.apache.poi.ss.formula.functions.T;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.multipart.MultipartHttpServletRequest;

public class ModifyTableServiceImpl extends commonServiceImpl<T> implements IModifyTableService {
  private IModifyTableDao modifyTableDao;
  
  private SessionFactory sessionFactory;
  
  private ICommonService<T> commonService;
  
  @Autowired
  private IJieShouDengJiService jieShouDengJiService;
  
  public static final String WSZiDuanZu = "quanZongHao,dangHao,baoGuanQiXian,xuHao-i,biaoTi,wenHao,zeRenZhe,yeShu-i,chengWenRiQi,guiDangNianDu-i,miJi-i,zhuTiCi,menLei,fenLeiHao,fenLeiMingCheng,guanBianDangHao,guiDangLeiXing-i,bingLieBiaoTi,fuBiaoTi,tiYao,guanJianCi,renMing,zhaiYao,liuChengXinXi,guiDangRiQi-d,wenZhong-i,baoMiQiXian-i,jinJiChengDu-i,zhuSong,chaoSong,chengWenNianDu-i,fenShu-i,zuHeLeiXing-i,yuZhong-i,gaoBen,luRuRenBiaoShi-i,luRuRenMingCheng,daoRuPiCi,shuJuLaiYuan-i,beiZhu,buMenBianMa,guiDangRenMingCheng,guiDangRenBiaoShi-i,guiDangBuMenBiaoShi,guiDangBuMenMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi-i,guangPanHao,qiYeHao-i,zhiYeHao-i,tuoJiZaiTiBianHao,siXingJianChaBiaoShi,zhuangTai-i,shanChuRenBiaoShi-i,shanChuRenMingCheng,shanChuShiJian-d,youYuanWen-i,kaiFangZhuangTai-i,jieYueZhuangTai-i,shenHeZhuangTai-i,shenHeRiQi-d,shenHeRenBiaoShi-i,shenHeRenMingCheng,boHuiYuanYin,cunFangWeiZhi,laiWenDanWei,banBenHao-i,beiYongZiFu,beiYongZi-i,xinXiGongKaiBiaoShi-i,xinXiBuGongKaiYuanYin,dengJiShiJian-d,laiYuan,laiYuanMingCheng,wenZhongMingCheng,dangAnGuanBiaoShi,dangAnGuanMingCheng,shiFouPingBi,guanLianBiaoShi-i";
  
  public static final String WSZiDuan = "quanZongHao,dangHao,baoGuanQiXian,xuHao,biaoTi,wenHao,zeRenZhe,yeShu,chengWenRiQi,guiDangNianDu,miJi,zhuTiCi,menLei,fenLeiHao,fenLeiMingCheng,guanBianDangHao,guiDangLeiXing,bingLieBiaoTi,fuBiaoTi,tiYao,guanJianCi,renMing,zhaiYao,liuChengXinXi,guiDangRiQi,wenZhong,baoMiQiXian,jinJiChengDu,zhuSong,chaoSong,chengWenNianDu,fenShu,zuHeLeiXing,yuZhong,gaoBen,luRuRenBiaoShi,luRuRenMingCheng,daoRuPiCi,shuJuLaiYuan,beiZhu,buMenBianMa,guiDangRenMingCheng,guiDangRenBiaoShi,guiDangBuMenBiaoShi,guiDangBuMenMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guangPanHao,qiYeHao,zhiYeHao,tuoJiZaiTiBianHao,siXingJianChaBiaoShi,zhuangTai,shanChuRenBiaoShi,shanChuRenMingCheng,shanChuShiJian,youYuanWen,kaiFangZhuangTai,jieYueZhuangTai,shenHeZhuangTai,shenHeRiQi,shenHeRenBiaoShi,shenHeRenMingCheng,boHuiYuanYin,cunFangWeiZhi,laiWenDanWei,banBenHao,beiYongZiFu,beiYongZi,xinXiGongKaiBiaoShi,xinXiBuGongKaiYuanYin,dengJiShiJian,laiYuan,laiYuanMingCheng,wenZhongMingCheng,dangAnGuanBiaoShi,dangAnGuanMingCheng,shiFouPingBi,guanLianBiaoShi";
  
  public static final String SWZiDuan = "xuHao,biaoTi,zeRenZhe,shouYuRiQi,geShu,kuFangWeiZhi,beiZhu,leiBie,baoGuanQiXian";
  
  public static final String SWZiDuanZu = "xuHao-i,biaoTi,zeRenZhe,shouYuRiQi,geShu-i,kuFangWeiZhi,beiZhu,leiBie-i,BaoGuanQiXian";
  
  public static final String HYZiDuan = "quanZongHao,guiDangNianDu,xingBie,cunFangWeiZhi,anJuanHao,biaoTi,fenLeiMingCheng,fenLeiHao,zeRenZhe,yeShu,beiZhu";
  
  public static final String HYZiDuanZu = "quanZongHao,guiDangNianDu,xingBie-i,cunFangWeiZhi,anJuanHao,biaoTi,fenLeiMingCheng,fenLeiHao,zeRenZhe,yeShu-i,beiZhu";
  
  public static final String ZHENGLI_TUSHU_MC = "D_tuShuZiLiao";
  
  public static final String ZHENGLI_WENSHU_MC = "D_wenJian";
  
  public static final String ZHENGLI_SHIWU_MC = "D_shiWu";
  
  public static final String ZHENGLI_ZHUANYE_MC = "D_zhuanYeWenJian";
  
  public ICommonService<T> getCommonService() {
    return this.commonService;
  }
  
  public void setCommonService(ICommonService<T> commonService) {
    this.commonService = commonService;
  }
  
  public IModifyTableDao getModifyTableDao() {
    return this.modifyTableDao;
  }
  
  public void setModifyTableDao(IModifyTableDao modifyTableDao) {
    setCommonDao((ICommonDao)modifyTableDao);
    this.modifyTableDao = modifyTableDao;
  }
  
  public String getDataType() {
    return this.modifyTableDao.getDataType();
  }
  
  public SessionFactory getSessionFactory() {
    return this.sessionFactory;
  }
  
  public void setSessionFactory(SessionFactory sessionFactory) {
    this.sessionFactory = sessionFactory;
  }
  
  public String creatTable(HttpServletRequest request) {
    String info = "0";
    String sql = "select databaseurl,databasedriver,yonghumingcheng,yonghumima from S_MANAGE where  solrtype=1 and hangbiaoshi = 4";
    List<Object[]> list = this.commonService.getList(sql.toString());
    String IP = "";
    Object object1 = "";
    Object object2 = "";
    String driver = "";
    if (list != null && list.size() > 0) {
      Object[] obj = list.get(0);
      if (obj[0] != null)
        IP = this.commonService.getXiTongDaiMaByMingCheng("23219", (String)obj[0]); 
      if (obj[1] != null)
        driver = this.commonService.getXiTongDaiMaByMingCheng("23215", (String)obj[1]); 
      if (obj[3] != null)
        object1 = obj[3]; 
      if (obj[2] != null)
        object2 = obj[2]; 
    } 
    String checks = request.getParameter("checks");
    String[] checks_ = checks.split("_");
    String dataType = this.modifyTableDao.getDataType();
    try {
      String tableName = request.getParameter("tableName");
      String fileds = request.getParameter("fileds");
      String tableWay = request.getParameter("tableWay");
      List<String> ds = CommStatic.getDataSource(request, (String)object2);
      if (ds.size() > 0) {
        Map<String, String> map = getSQLInfo(tableName, fileds, dataType, tableWay);
        for (int i = 0; i < ds.size(); i++) {
          try {
            Connection conn = CommStatic.getConnection_(driver, IP, (String)object2, (String)object1);
            PreparedStatement stmt = null;
            if (conn != null) {
              if ("1".equals(tableWay)) {
                String creat_sql = map.get("creat_sql");
                System.out.println(String.valueOf(ds.get(i)) + "creat_sql=========" + creat_sql);
                stmt = conn.prepareStatement(creat_sql);
                stmt.execute();
                if (checks_[0].equals("1"))
                  creatXiangGuanInfo(tableName, "rizhi", dataType, conn); 
                if (checks_[1].equals("1"))
                  creatXiangGuanInfo(tableName, "kongzhi", dataType, conn); 
                if (checks_[2].equals("1"))
                  creatXiangGuanInfo(tableName, "guanlian", dataType, conn); 
                if (checks_[3].equals("1"))
                  creatXiangGuanInfo(tableName, "fujian", dataType, conn); 
              } else if ("2".equals(tableWay)) {
                String alert_way_sql = map.get("alert_way_sql");
                String[] alters = alert_way_sql.split(";");
                for (int a = 0; a < alters.length; a++) {
                  System.out.println(String.valueOf(ds.get(i)) + "alert_way_sql=========" + alters[a]);
                  stmt = conn.prepareStatement(alters[a]);
                  stmt.execute();
                } 
              } else {
                String modify_sql = map.get("modify_sql");
                if (StringUtils.isNotBlank(modify_sql)) {
                  String[] modsql = modify_sql.split(";");
                  for (int j = 0; j < modsql.length; j++) {
                    stmt = conn.prepareStatement(modsql[j]);
                    stmt.execute();
                  } 
                } 
              } 
              String alert_sql = map.get("alert_sql");
              if (StringUtils.isNotBlank(alert_sql)) {
                String[] ansql = alert_sql.split(";");
                for (int j = 0; j < ansql.length; j++) {
                  stmt = conn.prepareStatement(ansql[j]);
                  stmt.execute();
                } 
              } 
              String comment_sql = map.get("comment_sql");
              if (StringUtils.isNotBlank(comment_sql)) {
                String[] comsql = comment_sql.split(";");
                for (int c = 0; c < comsql.length; c++) {
                  stmt = conn.prepareStatement(comsql[c]);
                  stmt.execute();
                } 
              } 
              stmt.close();
              conn.close();
            } else {
              info = "-3";
            } 
          } catch (SQLSyntaxErrorException e) {
            info = "-2";
            e.printStackTrace();
          } catch (SQLException e) {
            info = "-3";
            e.printStackTrace();
          } catch (Exception e) {
            info = "-1";
            e.printStackTrace();
          } 
        } 
      } else {
        info = "1";
      } 
    } catch (Exception e) {
      info = "-1";
      e.printStackTrace();
    } 
    return info;
  }
  
  private Map<String, String> getSQLInfo(String tb, String fs, String type, String way) {
    Map<String, String> map = new HashMap<>();
    StringBuffer creat_sql = new StringBuffer();
    StringBuffer alert_sql = new StringBuffer();
    StringBuffer alert_way_sql = new StringBuffer();
    StringBuffer comment_sql = new StringBuffer();
    StringBuffer modify_sql = new StringBuffer();
    StringBuffer crsql = new StringBuffer();
    String[] temp = fs.split(";");
    for (int i = 0; i < temp.length; i++) {
      String file = temp[i];
      String[] strs = file.split(",");
      if ("1".equals(way)) {
        crsql.append(strs[0]).append(" ").append(getFileType(type, strs[1], strs[2]));
        if ("MYSQL".equals(type)) {
          if (!"null".equals(strs[3]) && "2".equals(strs[1]))
            crsql.append(" default ").append(strs[3]); 
          crsql.append(" NULL COMMENT '").append(strs[4]).append("',");
        } else {
          crsql.append(",");
        } 
      } else if ("2".equals(way)) {
        if (StringUtils.isNotBlank(alert_way_sql.toString())) {
          alert_way_sql.append(" ; ").append(" alter table ").append(tb).append(" add ").append(strs[0]).append(" ").append(getFileType(type, strs[1], strs[2]));
        } else {
          alert_way_sql.append(" alter table ").append(tb).append(" add ").append(strs[0]).append(" ").append(getFileType(type, strs[1], strs[2]));
        } 
        if (!"null".equals(strs[3]) && "2".equals(strs[1]))
          alert_way_sql.append(" default ").append(strs[3]).append(" NULL COMMENT '").append(strs[4]).append("',"); 
      } else {
        modify_sql.append(" alter table ").append(tb).append(" MODIFY ").append(strs[0]).append(" ").append(getFileType(type, strs[1], strs[2])).append(";");
      } 
      if (!"MYSQL".equals(type)) {
        if (!"null".equals(strs[3]))
          if (StringUtils.isNotBlank(alert_sql.toString())) {
            alert_sql.append(" ; ").append(" alter table ").append(tb).append(" modify ").append(strs[0]).append(" default ").append(strs[3]);
          } else {
            alert_sql.append(" alter table ").append(tb).append(" modify ").append(strs[0]).append(" default ").append(strs[3]);
          }  
        if (!"null".equals(strs[4]))
          if (StringUtils.isNotBlank(comment_sql.toString())) {
            comment_sql.append(" ; ").append(" COMMENT ON COLUMN ").append(tb).append(".").append(strs[0]).append(" IS '").append(strs[4]).append("'");
          } else {
            comment_sql.append(" COMMENT ON COLUMN ").append(tb).append(".").append(strs[0]).append(" IS '").append(strs[4]).append("'");
          }  
      } 
    } 
    if (StringUtils.isNotBlank(crsql.toString()) && "1".equals(way)) {
      creat_sql.append(" create table ").append(tb).append("( ");
      creat_sql.append(crsql.toString());
      creat_sql.append(" primary key (hangBiaoShi))");
    } 
    map.put("creat_sql", creat_sql.toString());
    map.put("alert_way_sql", alert_way_sql.toString());
    map.put("alert_sql", alert_sql.toString());
    map.put("comment_sql", comment_sql.toString());
    map.put("modify_sql", modify_sql.toString());
    return map;
  }
  
  private void creatXiangGuanInfo(String table, String info, String type, Connection conn) {
    try {
      StringBuffer creat_sql = new StringBuffer();
      creat_sql.append(" create table ").append(table).append(info).append("( ");
      creat_sql.append("hangBiaoShi").append(" ").append(getFileType(type, "2", "")).append(" NOT NULL,")
        .append("guanLianBiaoShi").append(" ").append(getFileType(type, "2", "")).append(" NOT NULL,");
      if ("rizhi".equalsIgnoreCase(info)) {
        creat_sql.append("jiLuLeiXing").append(" ").append(getFileType(type, "1", "20")).append(" ,")
          .append("ip").append(" ").append(getFileType(type, "1", "50")).append(" ,")
          .append("wangKaBiaoShi").append(" ").append(getFileType(type, "1", "15")).append(" ,")
          .append("zhanBiaoShi").append(" ").append(getFileType(type, "1", "20")).append(" ,")
          .append("jiQiFangJian").append(" ").append(getFileType(type, "1", "8")).append(" ,")
          .append("danWeiMingCheng").append(" ").append(getFileType(type, "1", "90")).append(" ,")
          .append("danWeiJieDianJiHe").append(" ").append(getFileType(type, "1", "180")).append(" ,")
          .append("caoZuoRenBiaoShi").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("caoZuoRenMingCheng").append(" ").append(getFileType(type, "1", "90")).append(" ,")
          .append("kaiShiShiJian").append(" ").append(getFileType(type, "3", "")).append(" ,")
          .append("zuiHouShiJian").append(" ").append(getFileType(type, "3", "")).append(" ,")
          .append("wenJianZiHao").append(" ").append(getFileType(type, "1", "45")).append(" ,")
          .append("biaoTi").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("miJi").append(" ").append(getFileType(type, "1", "4")).append(" ,")
          .append("caoZuoFangShi").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("cunQuCiShu").append(" ").append(getFileType(type, "2", "")).append(" ,");
      } else if ("kongzhi".equalsIgnoreCase(info)) {
        creat_sql.append("fangWenZheBiaoShi").append(" ").append(getFileType(type, "2", "")).append(" NOT NULL,")
          .append("fangWenZheMingCheng").append(" ").append(getFileType(type, "1", "255")).append(" NOT NULL,")
          .append("fangWenShiJian").append(" ").append(getFileType(type, "3", "")).append(" ,")
          .append("qianChuZhuangTai").append(" ").append(getFileType(type, "2", "")).append(" NOT NULL,");
      } else if ("guanlian".equalsIgnoreCase(info)) {
        creat_sql.append("biaoTi").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("dangHao").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("baoGuanQiXian").append(" ").append(getFileType(type, "1", "5")).append(" ,")
          .append("guiDangNianDu").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("guiDangBuMenMengCheng").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("guanLianWenJianBiaiShi").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("guanLianLeiXing").append(" ").append(getFileType(type, "1", "4")).append(" ,")
          .append("ciXu").append(" ").append(getFileType(type, "2", "")).append(" ,");
      } else if ("fujian".equalsIgnoreCase(info)) {
        creat_sql.append("wenDangBiaoShiFu").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("ciXu").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("fuJianLeiXing").append(" ").append(getFileType(type, "1", "20")).append(" ,")
          .append("yuanDanWei").append(" ").append(getFileType(type, "1", "30")).append(" ,")
          .append("jiSuanJiWenJianMing").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("yuanWenJianMing").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("wenJianDaXiao").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("chengWenRiQi").append(" ").append(getFileType(type, "3", "")).append(" ,")
          .append("wenJianGeShi").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("yuanWenZiHao").append(" ").append(getFileType(type, "1", "25")).append(" ,")
          .append("biaoTi").append(" ").append(getFileType(type, "1", "350")).append(" ,")
          .append("miJi").append(" ").append(getFileType(type, "1", "4")).append(" ,")
          .append("shuZiHuaDuiXiangXingTai").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("saoMiaoFenBianLv").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("saoMiaoSeCaiMoShi").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("tuXiangYaSuoFangAn").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("wenDangChuangJianChengXu").append(" ").append(getFileType(type, "1", "127")).append(" ,")
          .append("yeShu").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("fuJianLaiYuan").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("jinJiChengDu").append(" ").append(getFileType(type, "2", "")).append(" ,")
          .append("cunFangLuJing").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("changQiBaoCunBiaoShi").append(" ").append(getFileType(type, "1", "1")).append(" default '0' ,")
          .append("beiZhu").append(" ").append(getFileType(type, "1", "255")).append(" ,")
          .append("suoYinZhuangTai").append(" ").append(getFileType(type, "2", "")).append(" default '0' ,");
      } 
      creat_sql.append("banBenHao").append(" ").append(getFileType(type, "2", "")).append(" ,")
        .append("beiYongZiFu").append(" ").append(getFileType(type, "1", "255")).append(" ,")
        .append("beiYongZi").append(" ").append(getFileType(type, "2", "")).append(" ,")
        .append(" primary key (hangBiaoShi))");
      PreparedStatement stmt = conn.prepareStatement(creat_sql.toString());
      stmt.execute();
      stmt.close();
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
  
  private String getFileType(String type, String filedType, String leng) {
    String filed = "";
    String int_type = "NUMBER";
    String String_type = "varchar2";
    String date_type = "DATE";
    if ("MYSQL".equals(type)) {
      int_type = "integer";
      String_type = "varchar";
      date_type = "datetime";
    } 
    if ("1".equals(filedType)) {
      int cd = Integer.parseInt(leng);
      if (!"MYSQL".equals(type))
        cd = Integer.parseInt(leng) * 3; 
      filed = String.valueOf(String_type) + "(" + cd + ")";
    } else if ("2".equals(filedType)) {
      filed = int_type;
    } else if ("3".equals(filedType)) {
      filed = date_type;
    } 
    return filed;
  }
  
  private StringBuffer getDefaultFile(String type) {
    String int_type = "NUMBER";
    String String_type = "varchar2";
    String date_type = "DATE";
    if ("MYSQL".equals(type)) {
      int_type = "integer";
      String_type = "varchar";
      date_type = "datetime";
    } 
    StringBuffer dsql = new StringBuffer();
    List<XiTongDaiMa> bmrzd = xiTongDaiMaList("22529");
    if (bmrzd != null && bmrzd.size() > 0) {
      for (int i = 0; i < bmrzd.size(); i++) {
        XiTongDaiMa xtdm = bmrzd.get(i);
        Integer lx = xtdm.getCiXu();
        String mc = xtdm.getMingCheng();
        String key = xtdm.getZiFuDaiMa();
        if (lx.intValue() == 1) {
          if ("biaoTi".equals(key) || "guanJianCi".equals(key) || "zeRenZhe".equals(key)) {
            dsql.append(" ").append(key).append(" ").append(String_type).append(" (1024) ").append(" null COMMENT '").append(mc).append("',");
          } else {
            dsql.append(" ").append(key).append(" ").append(String_type).append(" (512) ").append(" null COMMENT '").append(mc).append("',");
          } 
        } else if (lx.intValue() == 2) {
          if ("hangBiaoShi".equals(key)) {
            dsql.append(" hangBiaoShi ").append(int_type).append("  not null COMMENT '").append(mc).append("',");
          } else {
            dsql.append(" ").append(key).append(" ").append(int_type).append(" null COMMENT '").append(mc).append("',");
          } 
        } else if (lx.intValue() == 3) {
          dsql.append(" ").append(key).append(" ").append(date_type).append(" null COMMENT '").append(mc).append("',");
        } 
      } 
    } else {
      dsql.append(" hangBiaoShi ").append(int_type).append("  not null COMMENT '行标示', ");
    } 
    dsql.append(" beiYongZiFu ").append(String_type).append(" (1024) null COMMENT '备用字符 ',")
      .append(" beiYongZi ").append(int_type).append(" null COMMENT '备用字', ");
    return dsql;
  }
  
  public boolean insertOrUpdate(HttpServletRequest request) {
    boolean result = false;
    Connection conn = null;
    ScriptRunner runner = null;
    try {
      MultipartHttpServletRequest multipartRequest = (MultipartHttpServletRequest)request;
      multipartRequest.getFileNames();
      String sqlPath = AppConfiguration.getConfigValue("SQLFILE_URL");
      String fileName = "";
      List<Map<String, Object>> list = UploadUtil.saveFile(multipartRequest, sqlPath, "");
      if (list.size() > 0) {
        fileName = (String)((Map)list.get(0)).get("filename");
        System.out.println(String.valueOf(sqlPath) + "------------" + fileName);
      } 
      sqlPath = String.valueOf(sqlPath) + "/" + fileName;
      String sql = "select databaseurl,databasedriver,yonghumingcheng,yonghumima from S_MANAGE where  solrtype=1 and hangbiaoshi = 4";
      List<Object[]> s_list = this.commonService.getList(sql.toString());
      String IP = "";
      Object object1 = "";
      Object object2 = "";
      String driver = "";
      if (s_list != null && s_list.size() > 0) {
        Object[] obj = s_list.get(0);
        if (obj[0] != null)
          IP = this.commonService.getXiTongDaiMaByMingCheng("23219", (String)obj[0]); 
        if (obj[1] != null)
          driver = this.commonService.getXiTongDaiMaByMingCheng("23215", (String)obj[1]); 
        if (obj[3] != null)
          object2 = obj[3]; 
        if (obj[2] != null)
          object1 = obj[2]; 
      } 
      List<String> ds = CommStatic.getDataSource(request, (String)object1);
      String dataType = this.modifyTableDao.getDataType();
      int len = ds.size();
      if (len > 0)
        for (int i = 0; i < len; i++) {
          String name = ((String)ds.get(i)).replace("DataSource", "");
          conn = CommStatic.getConnection_(driver, IP, name, (String)object2);
          conn.setAutoCommit(false);
          runner = new ScriptRunner(conn);
          runner.setAutoCommit(false);
          runner.setStopOnError(true);
          runner.setSendFullScript(false);
          runner.setDelimiter(";");
          runner.setFullLineDelimiter(false);
          try {
            runner.runScript(new InputStreamReader(new FileInputStream(sqlPath), "GBK"));
            result = true;
          } catch (Exception e) {
            result = false;
          } 
          conn.commit();
          System.out.println("====== SUCCESS ======成功：：");
        }  
      System.gc();
      conn.close();
      runner.closeConnection();
      UploadUtil.deleteFile(sqlPath);
    } catch (Exception e) {
      System.out.println(e.getMessage());
    } finally {
      close(conn);
      System.gc();
      runner.closeConnection();
    } 
    return result;
  }
  
  private static void close(Connection conn) {
    try {
      if (conn != null)
        conn.close(); 
    } catch (Exception e) {
      if (conn != null)
        conn = null; 
    } 
  }
  
  public int importExcelFileDangAn(Sheet sheet, User user, String menLei, String excelname) throws SQLException {
    Session session = this.sessionFactory.getCurrentSession();
    String QuanZongHao = user.getQuanZongHao();
    KeyGenerator gen = null;
    Connection oracle_conn = getORACLEConnection(QuanZongHao);
    Statement wjoracle_stmt = null;
    wjoracle_stmt = oracle_conn.createStatement();
    String tablename = "";
    int yijiaoshuliang = 0;
    int re = 1;
    String piCi = (new SimpleDateFormat("yyyy-MM-dd-HH-mm-ss")).format(new Date());
    Row rowHead = sheet.getRow(0);
    if (menLei.endsWith("TS") || menLei.equals("BZ")) {
      if (rowHead.getPhysicalNumberOfCells() != 10)
        return -1; 
    } else if (menLei.equals("XWS") || menLei.equals("WS")) {
      if (rowHead.getPhysicalNumberOfCells() > 79 || rowHead.getPhysicalNumberOfCells() < 78)
        return -1; 
    } else if (menLei.equals("SW")) {
      if (rowHead.getPhysicalNumberOfCells() != 9)
        return -1; 
    } else if (menLei.equals("HYWS")) {
      if (rowHead.getPhysicalNumberOfCells() != 11)
        return -1; 
    } else if (menLei.equals("SWGBWS")) {
      if (rowHead.getPhysicalNumberOfCells() != 11)
        return -1; 
    } else if (menLei.equals("JSZCWS")) {
      if (rowHead.getPhysicalNumberOfCells() != 11)
        return -1; 
    } else if (menLei.equals("GZWS")) {
      if (rowHead.getPhysicalNumberOfCells() != 11)
        return -1; 
    } else if (menLei.equals("JCWS")) {
      if (rowHead.getPhysicalNumberOfCells() != 11)
        return -1; 
    } else if (menLei.equals("TDCGWS") && 
      rowHead.getPhysicalNumberOfCells() != 11) {
      return -1;
    } 
    int totalRowNum = sheet.getLastRowNum();
    for (int i = 1; i <= totalRowNum; i++) {
      Row row = sheet.getRow(i);
      if (menLei.endsWith("TS") || menLei.equals("BZ")) {
        TuShuZiLiao tuShu = new TuShuZiLiao();
        gen = KeyGenerator.getInstance(this.sessionFactory, "D_tuShuZiLiao");
        Integer wenJianHangBiaoShi = Integer.valueOf(gen.getNextKey());
        tuShu.setHangBiaoShi(wenJianHangBiaoShi);
        String biaoTi = getCellFormatValue(row.getCell(2));
        tuShu.setBiaoTi(biaoTi);
        String fenLeiHao = getCellFormatValue(row.getCell(1));
        tuShu.setFenLeiHao(fenLeiHao);
        String leiBie = getCellFormatValue(row.getCell(0));
        tuShu.setLeiBie(leiBie);
        String userDate = getCellFormatValue(row.getCell(5));
        tuShu.setUserDate(userDate);
        String chuBanShe = getCellFormatValue(row.getCell(4));
        tuShu.setLiJuanDanWeiMingCheng(chuBanShe);
        String zuoZhe = getCellFormatValue(row.getCell(3));
        tuShu.setZeRenZhe(zuoZhe);
        String cunFangWeiZhi = getCellFormatValue(row.getCell(7));
        tuShu.setCunFangWeiZhi(cunFangWeiZhi);
        tuShu.setZhuangTai(Integer.valueOf(0));
        String ml = getCellFormatValue(row.getCell(9));
        ml = ml.toUpperCase();
        if (StringUtils.isNotBlank(ml))
          if (ml.equals(menLei)) {
            tuShu.setMenLei(ml);
          } else {
            return -5;
          }  
        String ceShu = getCellFormatValue(row.getCell(6));
        tuShu.setYeShu(ceShu);
        if (row.getCell(8) != null) {
          String beiZhu = getCellFormatValue(row.getCell(8));
          tuShu.setBeiZhu(beiZhu);
        } 
        tuShu.setBeiYongZiFu(excelname);
        tuShu.setYiJiaoPiCi(piCi);
        session.save(tuShu);
      } else if (menLei.equals("WS") || menLei.equals("XWS")) {
        DWenJian wenJian = new DWenJian();
        Map<String, Object> map = new HashMap<>();
        gen = KeyGenerator.getInstance(this.sessionFactory, "D_wenJian");
        Integer wenJianHangBiaoShi = Integer.valueOf(gen.getNextKey());
        if (row.getCell(0) == null)
          return -1; 
        if (row.getCell(1) == null)
          return -1; 
        if (row.getCell(4) == null)
          return -1; 
        if (row.getCell(7) == null)
          return -1; 
        if (row.getCell(9) == null)
          return -1; 
        if (row.getCell(19) == null)
          return -1; 
        String[] ziDuan = "quanZongHao,dangHao,baoGuanQiXian,xuHao-i,biaoTi,wenHao,zeRenZhe,yeShu-i,chengWenRiQi,guiDangNianDu-i,miJi-i,zhuTiCi,menLei,fenLeiHao,fenLeiMingCheng,guanBianDangHao,guiDangLeiXing-i,bingLieBiaoTi,fuBiaoTi,tiYao,guanJianCi,renMing,zhaiYao,liuChengXinXi,guiDangRiQi-d,wenZhong-i,baoMiQiXian-i,jinJiChengDu-i,zhuSong,chaoSong,chengWenNianDu-i,fenShu-i,zuHeLeiXing-i,yuZhong-i,gaoBen,luRuRenBiaoShi-i,luRuRenMingCheng,daoRuPiCi,shuJuLaiYuan-i,beiZhu,buMenBianMa,guiDangRenMingCheng,guiDangRenBiaoShi-i,guiDangBuMenBiaoShi,guiDangBuMenMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi-i,guangPanHao,qiYeHao-i,zhiYeHao-i,tuoJiZaiTiBianHao,siXingJianChaBiaoShi,zhuangTai-i,shanChuRenBiaoShi-i,shanChuRenMingCheng,shanChuShiJian-d,youYuanWen-i,kaiFangZhuangTai-i,jieYueZhuangTai-i,shenHeZhuangTai-i,shenHeRiQi-d,shenHeRenBiaoShi-i,shenHeRenMingCheng,boHuiYuanYin,cunFangWeiZhi,laiWenDanWei,banBenHao-i,beiYongZiFu,beiYongZi-i,xinXiGongKaiBiaoShi-i,xinXiBuGongKaiYuanYin,dengJiShiJian-d,laiYuan,laiYuanMingCheng,wenZhongMingCheng,dangAnGuanBiaoShi,dangAnGuanMingCheng,shiFouPingBi,guanLianBiaoShi-i".split(",");
        StringBuffer tempsql = (new StringBuffer(" INSERT INTO D_WENJIAN (hangBiaoShi,quanZongHao,dangHao,baoGuanQiXian,xuHao,biaoTi,wenHao,zeRenZhe,yeShu,chengWenRiQi,guiDangNianDu,miJi,zhuTiCi,menLei,fenLeiHao,fenLeiMingCheng,guanBianDangHao,guiDangLeiXing,bingLieBiaoTi,fuBiaoTi,tiYao,guanJianCi,renMing,zhaiYao,liuChengXinXi,guiDangRiQi,wenZhong,baoMiQiXian,jinJiChengDu,zhuSong,chaoSong,chengWenNianDu,fenShu,zuHeLeiXing,yuZhong,gaoBen,luRuRenBiaoShi,luRuRenMingCheng,daoRuPiCi,shuJuLaiYuan,beiZhu,buMenBianMa,guiDangRenMingCheng,guiDangRenBiaoShi,guiDangBuMenBiaoShi,guiDangBuMenMingCheng,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guangPanHao,qiYeHao,zhiYeHao,tuoJiZaiTiBianHao,siXingJianChaBiaoShi,zhuangTai,shanChuRenBiaoShi,shanChuRenMingCheng,shanChuShiJian,youYuanWen,kaiFangZhuangTai,jieYueZhuangTai,shenHeZhuangTai,shenHeRiQi,shenHeRenBiaoShi,shenHeRenMingCheng,boHuiYuanYin,cunFangWeiZhi,laiWenDanWei,banBenHao,beiYongZiFu,beiYongZi,xinXiGongKaiBiaoShi,xinXiBuGongKaiYuanYin,dengJiShiJian,laiYuan,laiYuanMingCheng,wenZhongMingCheng,dangAnGuanBiaoShi,dangAnGuanMingCheng,shiFouPingBi,guanLianBiaoShi) VALUES (")).append(wenJianHangBiaoShi).append(",'").append(row.getCell(0)).append("',");
        StringBuffer vv = new StringBuffer();
        if (ziDuan.length == 80) {
          for (int f = 1; f < ziDuan.length - 1; f++) {
            if (ziDuan[f].endsWith("-d")) {
              String date = getCellFormatValue(row.getCell(f));
              if (date.indexOf(" ") >= 0) {
                String[] newdate = date.split(" ");
                if (newdate.length >= 1) {
                  String dt = newdate[0];
                  vv.append("to_date('").append(dt).append("','YYYY-MM-DD'),");
                } 
              } else {
                vv.append("to_date('").append(date).append("','YYYY-MM-DD'),");
              } 
            } else if (ziDuan[f].endsWith("-i")) {
              String inte = getCellFormatValue(row.getCell(f));
              if (StringUtils.isNotBlank(inte)) {
                vv.append(Integer.valueOf(inte) + ",");
              } else {
                vv.append("'',");
              } 
            } else if (ziDuan[f].equals("beiYongZiFu")) {
              vv.append("'" + excelname + "',");
            } else {
              vv.append("'" + row.getCell(f) + "',");
            } 
          } 
        } else {
          for (int f = 1; f < ziDuan.length; f++) {
            if (ziDuan[f].endsWith("-d")) {
              String date = getCellFormatValue(row.getCell(f));
              if (date.indexOf(" ") >= 0) {
                String[] newdate = date.split(" ");
                if (newdate.length >= 1) {
                  String dt = newdate[0];
                  vv.append("to_date('").append(dt).append("','YYYY-MM-DD'),");
                } 
              } else {
                vv.append("to_date('").append(date).append("','YYYY-MM-DD'),");
              } 
            } else if (ziDuan[f].endsWith("-i")) {
              String inte = getCellFormatValue(row.getCell(f));
              if (StringUtils.isNotBlank(inte)) {
                vv.append(Integer.valueOf(inte) + ",");
              } else {
                vv.append("'',");
              } 
            } else if (ziDuan[f].equals("beiYongZiFu")) {
              vv.append("'" + excelname + "',");
            } else {
              vv.append("'" + row.getCell(f) + "',");
            } 
          } 
        } 
        tempsql.append(vv);
        String a = tempsql.substring(0, tempsql.length() - 1);
        StringBuffer sql = new StringBuffer(a);
        sql.append(")");
        String hql = sql.toString().replaceAll("''", "null");
        System.out.println(hql);
        wjoracle_stmt.executeUpdate(hql.toString());
      } else if (menLei.equals("SW")) {
        Map<String, Object> map = new HashMap<>();
        String quanZongHao = "A145";
        String dangHao = "";
        String xuHao = "";
        String leiBie = "";
        int zhuangTai = 6;
        gen = KeyGenerator.getInstance(this.sessionFactory, "D_shiWu");
        Integer wenJianHangBiaoShi = Integer.valueOf(gen.getNextKey());
        String[] ziDuan = "xuHao-i,biaoTi,zeRenZhe,shouYuRiQi,geShu-i,kuFangWeiZhi,beiZhu,leiBie-i,BaoGuanQiXian".split(",");
        StringBuffer tempsql = (new StringBuffer(" INSERT INTO D_ShiWu (hangBiaoShi,quanZongHao,zhuangTai,xuHao,biaoTi,zeRenZhe,shouYuRiQi,geShu,kuFangWeiZhi,beiZhu,leiBie,baoGuanQiXian,dangHao,yiJiaoPiCi,beiYongZiFu,menLei) VALUES (")).append(wenJianHangBiaoShi).append(",'").append(quanZongHao).append("',")
          .append(zhuangTai).append(",");
        StringBuffer vv = new StringBuffer();
        for (int f = 0; f < ziDuan.length; f++) {
          if (ziDuan[f].endsWith("-d")) {
            String date = getCellFormatValue(row.getCell(f));
            if (date.indexOf(" ") >= 0) {
              String[] newdate = date.split(" ");
              if (newdate.length >= 1) {
                String dt = newdate[0];
                vv.append("to_date('").append(dt).append("','YYYY-MM-DD'),");
              } 
            } else {
              vv.append("to_date('").append(date).append("','YYYY-MM-DD'),");
            } 
          } else if (ziDuan[f].endsWith("-i")) {
            String inte = getCellFormatValue(row.getCell(f));
            String num = "";
            if (ziDuan[f].equals("leiBie-i")) {
              leiBie = inte;
              if (inte.equals("A")) {
                num = "1";
              } else if (inte.equals("B")) {
                num = "2";
              } else if (inte.equals("C")) {
                num = "3";
              } else if (inte.equals("D")) {
                num = "4";
              } else if (inte.equals("E")) {
                num = "5";
              } else if (inte.equals("F")) {
                num = "6";
              } 
              if (StringUtils.isNotBlank(num)) {
                vv.append(Integer.valueOf(num) + ",");
              } else {
                vv.append("'',");
              } 
            } else if (ziDuan[f].equals("xuHao-i")) {
              xuHao = inte;
              if (StringUtils.isNotBlank(inte)) {
                vv.append(Integer.valueOf(inte) + ",");
              } else {
                vv.append("'',");
              } 
            } else if (StringUtils.isNotBlank(inte)) {
              vv.append(Integer.valueOf(inte) + ",");
            } else {
              vv.append("'',");
            } 
          } else if (ziDuan[f].equals("shouYuRiQi")) {
            String shouYuRiQi = getCellFormatValue(row.getCell(f));
            vv.append("'" + shouYuRiQi + "',");
          } else if (ziDuan[f].equals("baoGuanQiXian")) {
            String bgqx = getCellFormatValue(row.getCell(f));
            if (bgqx.equals("永久")) {
              vv.append("'Y',");
            } else if (bgqx.equals("30年")) {
              vv.append("'D30',");
            } else if (bgqx.equals("10年")) {
              vv.append("'D10',");
            } 
          } else {
            vv.append("'" + row.getCell(f) + "',");
          } 
        } 
        dangHao = String.valueOf(quanZongHao) + "-" + leiBie + "-" + xuHao;
        vv.append("'" + dangHao + "',");
        vv.append("'" + piCi + "',");
        vv.append("'" + excelname + "',");
        vv.append("'SW'");
        tempsql.append(vv);
        StringBuffer sql = new StringBuffer(tempsql);
        sql.append(")");
        String hql = sql.toString().replaceAll("''", "null");
        System.out.println(hql);
        wjoracle_stmt.executeUpdate(hql.toString());
      } else if ((menLei.equals("HYWS") || menLei.equals("SWGBWS") || menLei.equals("JSZCWS") || menLei.equals("GZWS") || menLei.equals("JCWS") || menLei.equals("TDCGWS")) && 
        menLei.equals("HYWS")) {
        Map<String, Object> map = new HashMap<>();
        String dangHao = "";
        int zhuangTai = 6;
        String qzh = "";
        String nd = "";
        String leiBie = "";
        String jieHunZhengZiHao = "";
        gen = KeyGenerator.getInstance(this.sessionFactory, "D_zhuanYeWenJian");
        Integer wenJianHangBiaoShi = Integer.valueOf(gen.getNextKey());
        String[] ziDuan = "quanZongHao,guiDangNianDu,xingBie-i,cunFangWeiZhi,anJuanHao,biaoTi,fenLeiMingCheng,fenLeiHao,zeRenZhe,yeShu-i,beiZhu".split(",");
        StringBuffer tempsql = (new StringBuffer(" INSERT INTO D_ZhuanYeWenJian (hangBiaoShi,zhuangTai,quanZongHao,guiDangNianDu,xingBie,cunFangWeiZhi,anJuanHao,biaoTi,fenLeiMingCheng,fenLeiHao,zeRenZhe,yeShu,beiZhu,dangHao,yiJiaoPiCi,beiYongZiFu,menLei) VALUES (")).append(wenJianHangBiaoShi).append(",").append(zhuangTai).append(",");
        StringBuffer vv = new StringBuffer();
        for (int f = 0; f < ziDuan.length; f++) {
          if (ziDuan[f].endsWith("-d")) {
            String date = getCellFormatValue(row.getCell(f));
            if (date.indexOf(" ") >= 0) {
              String[] newdate = date.split(" ");
              if (newdate.length >= 1) {
                String dt = newdate[0];
                vv.append("to_date('").append(dt).append("','YYYY-MM-DD'),");
              } 
            } else {
              vv.append("to_date('").append(date).append("','YYYY-MM-DD'),");
            } 
          } else if (ziDuan[f].endsWith("-i")) {
            String inte = getCellFormatValue(row.getCell(f));
            int nm = 0;
            String num = "";
            if (StringUtils.isNotBlank(inte)) {
              if (inte.equals("J") || inte.equals("j")) {
                leiBie = inte;
                nm = 1;
                vv.append(String.valueOf(nm) + ",");
              } else if (inte.equals("L") || inte.equals("l")) {
                leiBie = inte;
                nm = 2;
                vv.append(String.valueOf(nm) + ",");
              } else if (inte.equals("B") || inte.equals("b")) {
                leiBie = inte;
                nm = 3;
                vv.append(String.valueOf(nm) + ",");
              } else {
                vv.append(Integer.valueOf(inte) + ",");
              } 
            } else {
              vv.append("'',");
            } 
          } else if (ziDuan[f].equals("quanZongHao")) {
            qzh = getCellFormatValue(row.getCell(f));
            vv.append("'" + qzh + "',");
          } else if (ziDuan[f].equals("guiDangNianDu")) {
            nd = getCellFormatValue(row.getCell(f));
            vv.append("'" + nd + "',");
          } else if (ziDuan[f].equals("anJuanHao")) {
            jieHunZhengZiHao = getCellFormatValue(row.getCell(f));
            vv.append("'" + jieHunZhengZiHao + "',");
          } else {
            vv.append("'" + row.getCell(f) + "',");
          } 
        } 
        dangHao = String.valueOf(qzh) + "-" + nd + "-" + "Y" + "-" + leiBie + "-" + jieHunZhengZiHao;
        vv.append("'" + dangHao + "',");
        vv.append("'" + piCi + "',");
        vv.append("'" + excelname + "',");
        vv.append("'" + menLei + "'");
        tempsql.append(vv);
        StringBuffer sql = new StringBuffer(tempsql);
        sql.append(")");
        String hql = sql.toString().replaceAll("''", "null");
        System.out.println(hql);
        wjoracle_stmt.executeUpdate(hql.toString());
      } 
    } 
    return re;
  }
  
  public Connection getORACLEConnection(String quanZongHao) {
    Connection conn = null;
    try {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    } catch (ClassNotFoundException e) {
      e.printStackTrace();
    } 
    String qzh = quanZongHao;
    if (quanZongHao.equals("A145")) {
      qzh = "D" + qzh;
    } else if (quanZongHao.equals("C028")) {
      qzh = qzh;
    } 
    String sql = "select ShuJuKuLianJieDiZhi, yongHuMing,miMa from T_shuJuYuan where quanZongHao = '" + qzh + "'";
    List<E> list = this.commonService.getListSQL(sql.toString());
    if (list.size() == 1) {
      String zu = list.get(0).toString();
      String[] zus = zu.split(",");
      String miMa = zus[0].split("=")[1];
      String yongHuMing = zus[1].split("=")[1];
      String url = zus[2].split("=")[1];
      if (url.endsWith("}"))
        url = url.substring(0, url.lastIndexOf("}")); 
      try {
        conn = DriverManager.getConnection(url, yongHuMing, miMa);
      } catch (SQLException e) {
        e.printStackTrace();
      } 
    } 
    return conn;
  }
  
  private String getCellFormatValue(Cell cell) {
    String cellValue = "";
    if (cell != null) {
      String qzh;
      switch (cell.getCellType()) {
        case 1:
          cellValue = cell.getStringCellValue();
          return cellValue;
        case 0:
          qzh = Double.toString(cell.getNumericCellValue());
          cellValue = qzh.substring(0, qzh.indexOf("."));
          return cellValue;
        case 3:
          cellValue = "";
          return cellValue;
      } 
      cellValue = "";
    } 
    return cellValue;
  }
  
  public boolean tuShushuJuQianYi(String hangBiaoShi, boolean fugai, String menLei, User user) {
    int yiJiaoNum = 0;
    String yiJiaoPiCi = "";
    String jiaoJieMingCheng = "";
    boolean isture = false;
    menLei = menLei.toUpperCase();
    try {
      if (menLei.endsWith("TS") || menLei.equals("BZ")) {
        yiJiaoNum = 0;
        yiJiaoPiCi = "";
        jiaoJieMingCheng = "";
        TuShuZiLiao tuShu = new TuShuZiLiao();
        String hql = "from TuShuZiLiao where 1=1 and zhuangTai=0 and hangBiaoShi in(" + hangBiaoShi + ")";
        List<TuShuZiLiao> tuShuZiLiao = this.commonService.getListHQL(hql);
        if (tuShuZiLiao.size() >= 1) {
          TuShuZiLiao sws = tuShuZiLiao.get(0);
          yiJiaoPiCi = sws.getYiJiaoPiCi();
          yiJiaoNum = tuShuZiLiao.size();
          jiaoJieMingCheng = sws.getBeiYongZiFu();
          boolean isnot = isnot(yiJiaoPiCi, yiJiaoNum, jiaoJieMingCheng, user, menLei);
          if (isnot)
            for (TuShuZiLiao mdbTS : tuShuZiLiao) {
              String dtsHBS = checktuShu(mdbTS.getHangBiaoShi().toString());
              if (StringUtils.isNotBlank(dtsHBS)) {
                if (fugai) {
                  deletedtuShu(dtsHBS);
                  uplaodTuShu(mdbTS.getHangBiaoShi().toString());
                  continue;
                } 
                if (!fugai)
                  deltuShu(hangBiaoShi, "D_tuShuZiLiao"); 
                continue;
              } 
              uplaodTuShu(hangBiaoShi);
              return true;
            }  
        } 
      } else if (menLei.equals("WS") || menLei.equals("XWS")) {
        yiJiaoNum = 0;
        yiJiaoPiCi = "";
        jiaoJieMingCheng = "";
        DWenJian wenJian = new DWenJian();
        String hql = "from DWenJian where 1=1 and zhuangTai=0 and hangBiaoShi in(" + hangBiaoShi + " )";
        List<DWenJian> wj = this.commonService.getListHQL(hql);
        if (wj.size() >= 1) {
          DWenJian sws = wj.get(0);
          yiJiaoPiCi = sws.getDaoRuPiCi();
          yiJiaoNum = wj.size();
          jiaoJieMingCheng = sws.getBeiYongZiFu();
          boolean isnot = isnot(yiJiaoPiCi, yiJiaoNum, jiaoJieMingCheng, user, menLei);
          if (isnot)
            for (DWenJian wenjian : wj) {
              String dtsHBS = checkwenJian(wenjian.getHangBiaoShi().toString());
              if (StringUtils.isNotBlank(dtsHBS)) {
                if (fugai) {
                  deletedwenJian(dtsHBS);
                  uplaodWenJian(wenjian.getHangBiaoShi().toString());
                  continue;
                } 
                if (!fugai)
                  deltuShu(hangBiaoShi, "D_wenJian"); 
                continue;
              } 
              uplaodWenJian(hangBiaoShi);
              return true;
            }  
        } 
      } else if (menLei.equals("SW")) {
        yiJiaoNum = 0;
        yiJiaoPiCi = "";
        jiaoJieMingCheng = "";
        DShiWu shiWu = new DShiWu();
        String hql = "from DShiWu where 1=1 and zhuangTai=6 and hangBiaoShi in(" + hangBiaoShi + " )";
        List<DShiWu> sw = this.commonService.getListHQL(hql);
        if (sw.size() >= 1) {
          DShiWu sws = sw.get(0);
          yiJiaoPiCi = sws.getYiJiaoPiCi();
          yiJiaoNum = sw.size();
          jiaoJieMingCheng = sws.getBeiYongZiFu();
          String dtsHBS = "";
          boolean isnot = isnot(yiJiaoPiCi, yiJiaoNum, jiaoJieMingCheng, user, menLei);
          if (isnot) {
            for (DShiWu shiwu : sw) {
              dtsHBS = checkshiWu(shiwu.getHangBiaoShi().toString());
              if (StringUtils.isNotBlank(dtsHBS)) {
                if (fugai) {
                  deletedshiWu(dtsHBS);
                  uplaodshiWu(shiwu.getHangBiaoShi().toString());
                  continue;
                } 
                if (!fugai)
                  deltuShu(hangBiaoShi, "D_shiWu"); 
                continue;
              } 
              uplaodshiWu(hangBiaoShi);
              return true;
            } 
          } else {
            return false;
          } 
        } 
      } else if ((menLei.equals("HYWS") || menLei.equals("SWGBWS") || menLei.equals("JSZCWS") || menLei.equals("GZWS") || menLei.equals("JCWS") || menLei.equals("TDCGWS")) && 
        menLei.equals("HYWS")) {
        yiJiaoNum = 0;
        yiJiaoPiCi = "";
        jiaoJieMingCheng = "";
        zhuanYeWenJian zywj = new zhuanYeWenJian();
        String hql = "from zhuanYeWenJian where 1=1 and zhuangTai=6 and hangBiaoShi in(" + hangBiaoShi + " )";
        List<zhuanYeWenJian> sw = this.commonService.getListHQL(hql);
        if (sw.size() >= 1) {
          zhuanYeWenJian sws = sw.get(0);
          yiJiaoPiCi = sws.getYiJiaoPiCi();
          yiJiaoNum = sw.size();
          jiaoJieMingCheng = sws.getBeiYongZiFu();
          boolean isnot = isnot(yiJiaoPiCi, yiJiaoNum, jiaoJieMingCheng, user, menLei);
          if (isnot) {
            for (zhuanYeWenJian zywjs : sw) {
              String dtsHBS = checkZhuanYe(zywjs.getHangBiaoShi().toString());
              if (StringUtils.isNotBlank(dtsHBS)) {
                if (fugai) {
                  deletedZhuanYeWenJian(dtsHBS);
                  uplaodZhuanYeWenJian(zywjs.getHangBiaoShi().toString());
                  continue;
                } 
                if (!fugai)
                  deltuShu(hangBiaoShi, "d_zhuanYeWenJian"); 
                continue;
              } 
              uplaodZhuanYeWenJian(hangBiaoShi);
              return true;
            } 
          } else {
            return false;
          } 
        } 
      } 
      return true;
    } catch (Exception e) {
      e.printStackTrace();
      return false;
    } 
  }
  
  public boolean isnot(String yiJiaoPiCi, int yiJiaoNum, String jiaoJieMingCheng, User user, String menLei) throws SQLException {
    boolean value = false;
    int yjhangBiaoShi = this.jieShouDengJiService.getPk("D_YiJiaoJieShou");
    String riqi = (new SimpleDateFormat("yyyy-MM-dd")).format(new Date());
    Connection oracle_conn = getORACLEConnection(user.getQuanZongHao());
    Statement wjoracle_stmt = null;
    wjoracle_stmt = oracle_conn.createStatement();
    StringBuffer hql = (new StringBuffer(
        " INSERT INTO D_yiJiaoJieShou (hangBiaoShi,danganmenlei,yijiaopici,dianzidanganshuliang,zaitileixing,yijiaofangshi,jiaojiemingcheng,yijiaoshuliang,yijiaoriqi,yijiaoqianming,jieshouzhuangtai,jieshouriqi) VALUES ("))
      
      .append(yjhangBiaoShi).append(",'").append(menLei).append("','").append(yiJiaoPiCi).append("','").append(String.valueOf(yiJiaoNum))
      .append("','EXCEL文件',1,'").append(jiaoJieMingCheng).append("','").append(String.valueOf(yiJiaoNum)).append("','")
      .append(riqi).append("','").append(user.getMingCheng()).append("','3'").append(",'").append(riqi).append("')");
    try {
      wjoracle_stmt.executeUpdate(hql.toString());
      value = true;
      return value;
    } catch (Exception e) {
      e.printStackTrace();
      return value;
    } 
  }
  
  public String checktuShu(String hangBiaoShi) {
    String wjhql = "  from TuShuZiLiao where hangBiaoShi in(" + hangBiaoShi + ")";
    List<TuShuZiLiao> list = this.commonService.getListHQL(wjhql);
    if (list.size() > 0) {
      Iterator<TuShuZiLiao> iterator = list.iterator();
      if (iterator.hasNext()) {
        TuShuZiLiao mdbTS = iterator.next();
        String biaoTi = mdbTS.getBiaoTi();
        String zeRenZhe = mdbTS.getZeRenZhe();
        String cunFangWeiZhi = mdbTS.getCunFangWeiZhi();
        String fenLeiHao = mdbTS.getFenLeiHao();
        String hql = "select hangBiaoShi from   D_tuShuZiLiao    where zhuangTai not in(0,3,4) and biaoTi = '" + biaoTi + "' and" + 
          " zeRenZhe = '" + zeRenZhe + "' and cunFangWeiZhi = '" + cunFangWeiZhi + "' and fenLeiHao='" + fenLeiHao + "'";
        List<E> hbs = this.commonService.selectSql(hql);
        if (hbs.size() > 0)
          return hbs.get(0).toString(); 
        return "";
      } 
    } 
    return "";
  }
  
  public String checkwenJian(String hangBiaoShi) {
    String wjhql = "  from DWenJian where hangBiaoShi in(" + hangBiaoShi + ")";
    List<DWenJian> list = this.commonService.getListHQL(wjhql);
    if (list.size() > 0) {
      Iterator<DWenJian> iterator = list.iterator();
      if (iterator.hasNext()) {
        DWenJian mdbTS = iterator.next();
        String dangHao = mdbTS.getDangHao();
        String quanZongHao = mdbTS.getQuanZongHao();
        String hql = "select hangBiaoShi from   D_wenJian    where zhuangTai not in(0,3,4) and dangHao = '" + dangHao + "' and" + 
          " quanZongHao = '" + quanZongHao + "'";
        List<E> hbs = this.commonService.selectSql(hql);
        if (hbs.size() > 0)
          return hbs.get(0).toString(); 
        return "";
      } 
    } 
    return "";
  }
  
  public String checkshiWu(String hangBiaoShi) {
    String wjhql = "  from DShiWu where hangBiaoShi in(" + hangBiaoShi + ")";
    List<DShiWu> list = this.commonService.getListHQL(wjhql);
    if (list.size() > 0) {
      Iterator<DShiWu> iterator = list.iterator();
      if (iterator.hasNext()) {
        DShiWu mdbTS = iterator.next();
        String dangHao = mdbTS.getDangHao();
        String quanZongHao = mdbTS.getQuanZongHao();
        String hql = "select hangBiaoShi from   D_shiWu    where zhuangTai not in(3,4,6) and dangHao = '" + dangHao + "' and" + 
          " quanZongHao = '" + quanZongHao + "'";
        List<E> hbs = this.commonService.selectSql(hql);
        if (hbs.size() > 0)
          return hbs.get(0).toString(); 
        return "";
      } 
    } 
    return "";
  }
  
  public String checkZhuanYe(String hangBiaoShi) {
    String wjhql = "  from zhuanYeWenJian where hangBiaoShi in(" + hangBiaoShi + ")";
    List<zhuanYeWenJian> list = this.commonService.getListHQL(wjhql);
    if (list.size() > 0) {
      Iterator<zhuanYeWenJian> iterator = list.iterator();
      if (iterator.hasNext()) {
        zhuanYeWenJian mdbTS = iterator.next();
        String dangHao = mdbTS.getDangHao();
        String quanZongHao = mdbTS.getQuanZongHao();
        String hql = "select hangBiaoShi from   d_zhuanYeWenJian    where zhuangTai not in(3,4,6) and dangHao = '" + dangHao + "' and" + 
          " quanZongHao = '" + quanZongHao + "'";
        List<E> hbs = this.commonService.selectSql(hql);
        if (hbs.size() > 0)
          return hbs.get(0).toString(); 
        return "";
      } 
    } 
    return "";
  }
  
  public void deltuShu(String hangBiaoShi, String table) {
    int zhuangTai = 3;
    if (table.equals("D_wenJian") || table.equals("D_WENJIAN")) {
      table = "D_wenJian";
    } else if (table.equals("D_tuShuZiLiao") || table.equals("D_TUSHUZILIAO")) {
      table = "D_tuShuZiLiao";
    } else if (table.equals("D_shiWu") || table.equals("D_SHIWU")) {
      table = "D_shiWu";
      zhuangTai = 3;
    } else if (table.equals("d_zhuanYeWenJian") || table.equals("D_ZHUANYEWENJIAN")) {
      table = "d_zhuanYeWenJian";
      zhuangTai = 3;
    } 
    String updatehql = "update  " + table + "  set zhuangTai=" + zhuangTai + "  where zhuangTai in(0) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.update(updatehql);
  }
  
  public void deletetuShu(String hangBiaoShi) {
    String updatehql = "delete  D_tuShuZiLiao    where zhuangTai in(0) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.deleteBySql(updatehql);
  }
  
  public void deletedtuShu(String hangBiaoShi) {
    String updatehql = "delete  D_tuShuZiLiao    where zhuangTai in(1) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.deleteBySql(updatehql);
  }
  
  public void deletedwenJian(String hangBiaoShi) {
    String updatehql = "delete  D_wenJian    where zhuangTai in(1,2,5) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.deleteBySql(updatehql);
  }
  
  public void deletedshiWu(String hangBiaoShi) {
    String updatehql = "delete  D_shiWu    where zhuangTai in(0,1,2,5,6) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.deleteBySql(updatehql);
  }
  
  public void deletedZhuanYeWenJian(String hangBiaoShi) {
    String updatehql = "delete  d_zhuanYeWenJian    where zhuangTai in(0,1,2,5) and hangBiaoShi in( " + hangBiaoShi + ")";
    this.commonService.deleteBySql(updatehql);
  }
  
  public void uplaodTuShu(String hangBiaoShi) throws IOException {
    String updatehql = "update  D_tuShuZiLiao  set zhuangTai=1  where zhuangTai not in(1,3,4) and hangBiaoShi in(" + hangBiaoShi + ")";
    this.commonService.update(updatehql);
  }
  
  public void uplaodWenJian(String hangBiaoShi) throws IOException {
    String updatehql = "update  D_wenJian  set zhuangTai=1  where zhuangTai not in(1,2,3,4) and hangBiaoShi in(" + hangBiaoShi + ")";
    this.commonService.update(updatehql);
  }
  
  public void uplaodshiWu(String hangBiaoShi) throws IOException {
    String updatehql = "update  D_shiWu  set zhuangTai=0  where zhuangTai not in(0,1,2,3,4) and hangBiaoShi in(" + hangBiaoShi + ")";
    this.commonService.update(updatehql);
  }
  
  public void uplaodZhuanYeWenJian(String hangBiaoShi) throws IOException {
    String updatehql = "update  d_zhuanYeWenJian  set zhuangTai=1  where zhuangTai not in(0,1,2,3,4) and hangBiaoShi in(" + hangBiaoShi + ")";
    this.commonService.update(updatehql);
  }
}
